/**
 * @param {string|RuleMeta} meta
 * @param {Rule} rule
 */
export function lintRule(
  meta: string | RuleMeta,
  rule: Rule
): {
  (raw: unknown):
    | void
    | import('unified').Transformer<
        import('unist').Node<import('unist').Data>,
        import('unist').Node<import('unist').Data>
      >
  readonly name: string
}
export type Node = import('unist').Node
export type VFile = import('vfile').VFile
export type Severity = 0 | 1 | 2
export type Label = 'warn' | 'on' | 'off' | 'error'
export type SeverityTuple = [Severity, ...unknown[]]
export type RuleMeta = {
  /**
   * name of the lint rule
   */
  origin: string
  /**
   * link to documentation
   */
  url?: string | undefined
}
export type Rule = (tree: Node, file: VFile, options: unknown) => void
